Token payroll

Get All Token Payrolls

Lists the org's token payrolls, optionally filtered by payroll entity, via the stablecoin payroll service.

GEThttps://api.toku.com/stablecoin-payroll/get-all-token-payrolls

Required scope: payroll:read. It also needs compensation:read.

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/get-all-token-payrolls' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "payrolls": [
    {
      "id": "string",
      "name": "string",
      "subName": "string",
      "entity": "string",
      "payPeriodStart": "string",
      "payPeriodEnd": "string",
      "payDate": "string",
      "currentStep": "string",
      "state": "string",
      "type": "string",
      "isStablecoinOnlySettlement": true,
      "externalPayrollID": "string",
      "fiatCurrency": "string",
      "tokenTypeID": "string",
      "exchangeRate": 0,
      "isStablecoinPayrollComplete": true,
      "isFiatPayrollComplete": true,
      "isSyncedFromHRIS": true,
      "selectedEmployeeIds": [
        "string"
      ],
      "isCsvUploaded": true,
      "createdAt": "string",
      "updatedAt": "string",
      "isPlaceholder": true,
      "createdByID": "string",
      "lastModifiedByID": "string",
      "orgID": "string",
      "payrollSyncedSource": "string",
      "payrollGroup": "string",
      "integrationEntityName": "string",
      "payrollIntegrationEntityId": "string",
      "fireblocksConfig": {
        "vaultAccountId": "string",
        "source": "string"
      },
      "contributorsInTokenPayroll": [
        {
          "roleInOrgID": "string",
          "roleInOrg": {
            "externalEmployeeID": "string",
            "person": {
              "givenName": "string",
              "familyName": "string",
              "users": [
                {}
              ]
            }
          },
          "totalPayrollAmount": "string",
          "netPayrollAmount": "string",
          "totalDeductionAmount": "string"
        }
      ],
      "payrollEntity": {
        "name": "string",
        "country": "string"
      }
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

payrollEntityIdstring

Allowed: 1 to 200 characters

Response

200Successful response
payrollsarray | null
Show child attributes
idstring | null
namestring | null
subNamestring | null
entitystring | null
payPeriodStartstring | null
payPeriodEndstring | null
payDatestring | null
currentStepstring | null
statestring | null
typestring | null
isStablecoinOnlySettlementboolean | null
externalPayrollIDstring | null
fiatCurrencystring | null
tokenTypeIDstring | null
exchangeRatenumber | null
isStablecoinPayrollCompleteboolean | null
isFiatPayrollCompleteboolean | null
isSyncedFromHRISboolean | null
selectedEmployeeIdsarray | null
importedDataanyrequired
processedDataanyrequired
settlementDataanyrequired
isCsvUploadedboolean | null
createdAtstring | null
updatedAtstring | null
isPlaceholderboolean | null
createdByIDstring | null
lastModifiedByIDstring | null
orgIDstring | null
payrollSyncedSourcestring | null
payrollGroupstring | null
integrationEntityNamestring | null
payrollIntegrationEntityIdstring | null
fireblocksConfigobject | null
Show child attributes
vaultAccountIdstring | null
sourcestring | null
contributorsInTokenPayrollarray | null
Show child attributes
roleInOrgIDstring | null
roleInOrgobject | null
Show child attributes
externalEmployeeIDstring | null
personobject | null
Show child attributes
givenNamestring | null
familyNamestring | null
usersarray | null
Show child attributes
loginEmailstring | null
totalPayrollAmountstring | null
netPayrollAmountstring | null
totalDeductionAmountstring | null
payrollEntityobject | null
Show child attributes
namestring | null
countrystring | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits